LINUX.ORG.RU

Выпуск OpenSUSE Leap 15.0

 ,


0

0

OpenSUSE отныне перешёл на новую систему нумерации выпусков. Причина в том, что выпуски OpenSUSE базируются на SUSE Linux Enterprise, последняя версия которого тоже 15.

OpenSUSE Leap 15 позволяет мигрировать на SLE, имеет новый редактор таблиц разделов диска (disk partitioner), имеет интеграцию с Groupware Kopano и переходит на Firewalld.

Из основных программ:

  • Linux 4.12
  • OpenSSL 1.1.0
  • systemd 234 (альтернативы не поставляются)
  • PHP 7
  • Firefox 60
  • GNOME 3.26
  • Plasma 5.12
  • GCC 7

>>> Подробности

Deleted

Проверено: Shaman007 ()

Ответ на: комментарий от Deleted

В проде и на десктопе исключительно Дебиан последние десять лет. Расскажи мне, когда и как начинать страдать без роллинга и васянских реп.

anonymous ()
Ответ на: комментарий от iKido

Попробуй kernel-vanilla, в стандартное ядро бэкпортировали графику из 4.16 и где-то накосячили.

Khnazile ★★★★★ ()
Ответ на: комментарий от Sunderland93

Ну, например, потому что в новых ядрах, Мезе, Иксах постоянно улучшается поддержка железа, реализуются новые нужные фичи и т.д. В кедах мегафункции реализуются всякие, вроде той же интеграции с браузерами, ошибки исправляются. А ты сиди и радуйся ядру 4.12, на котором у тебя половина ноутбука не работает, год с лишним (или сколько там у этих Ляпов релизный цикл?) или подключай полбилдсервиса в качестве доп. репозиториев.

На подкроватном серваке у меня у самого Убунта 16.04 ещё сто лет будет, пока на её поддержку совсем не забьют. Я бы вообще на 14.04 сидел, чтобы с systemd не пердолиться, да диск системный посыпался и повод появился обновиться. На десктопе же так жить очень тяжко.

Alden ★★ ()
Ответ на: комментарий от Alden

А что у сусе аналога дебовских бэкпортов нету? Со свежей месой, ядрами и прочим

Sunderland93 ★★★★★ ()
Ответ на: комментарий от Sunderland93

Для SLE есть какие-то официально поддерживаемые репы на билдсервисе с бэкпортами. Во времена 12.1 рекомендуемый метод был — подключение реп с ядрами, кедами, мезами, драйверами с билдсервиса. Это не считая того, что дистр в америкосовской юрисдикции, что требовало обязательного подключения Pacman, иначе — ни mp3 ни проприетарных кодеков в gstreamer. У меня в разное время было более десятка разных реп с билдсервиса подцеплено, а это такое себе развлечение.

Alden ★★ ()

/сусеводам мое с кепочкой)) по сабжу - изменений не густо

Zlo ★★★ ()
Ответ на: комментарий от Alden

репы зло, всегда и говорил и считал так. сейчас манджаро решил погонять на тестовой машинке. и вздохнул с облегчением - подключать репы не нужно, все есть уже, а чего нет - смотри в ауре! годнота

Zlo ★★★ ()
Ответ на: комментарий от petyanamlt

Кто нибудь ставил на реальное железо?

Обновился. Плазма не упала. Перед обновлением залочил Firefox ESR, т.к. в новой суське только 60 (или из ESR но из отдельной репы).

anonymous ()
Ответ на: комментарий от anonymous

она какбэ давно уж не падает - стоит))) и работает

Zlo ★★★ ()
Ответ на: комментарий от Deleted

Наркоман? Тебя просили лайвы от 42 версии.

anonymous ()
Ответ на: комментарий от Godjira

А как так может быть, что в дефолтном ядре нет поддержки актуальной 1060 (не устаревшей и не сверхновой)?

iKido ()
Ответ на: комментарий от anonymous

Лайв в Сюзе, даже когда был, был развлечением для сильных духом. Ставить с него систему я бы, например, не советовал. По итогам обычно получался какой-то корявый инвалид.

Alden ★★ ()
Ответ на: комментарий от Alden

Лайв же не только для установки. Я бы даже сказал НЕ для установки.

comrade82 ()
Ответ на: комментарий от anonymous

А еще снова заработал старый графический планшет от genius.

comrade82 ()
Ответ на: комментарий от cuelebra

фаерфокс на снапсторе - 60.0.2

Машина времени?

bbk123 ★★★★★ ()
Ответ на: комментарий от Alden

На десктопе же так жить очень тяжко.

почему? вы чо часто десктоп меняете? зачем?

anonymous ()
Ответ на: комментарий от Khnazile

Спасибо, попробовал. Буду смотреть дальше, но при первом запуске вроде ушли глюки.

iKido ()
Ответ на: комментарий от iKido

Проверь, что у тебя именно нужное ядро загружается. Если просто установить kernel-vanilla, по умолчанию все равно будет грузиться kernel-default. Можно либо выбрать в загрузчике нужное ядро, либо удалить ненужное.

Khnazile ★★★★★ ()
Ответ на: комментарий от petyanamlt

Ну у меня на двух стационарниках через дуп из тамблвида и чистая установка на тинкпад е580 пять дней назад (оно уже так-то с неделю как вышло, просто молчали) Все ок.

debosh2k ()
Последнее исправление: debosh2k (всего исправлений: 1)
Ответ на: комментарий от Khnazile

Естественно я это проверил. + переустоновил нвидевский блоб.

iKido ()
Ответ на: комментарий от iKido

Про блоб не знаю, если честно, у тебя в изначальном посте про нуво было. У меня ноуте с ванильным ядром нуво работает, но производительность ниже чем на интуле. Правда у меня карточка древний огрызок, сама по себе примерно на одном уровне со встройкой.

Khnazile ★★★★★ ()

Злые вы. У меня вот уже 2-ой день стоит: всего лишь 3 раза крашнулся. Балу отключил - и всё. Тишина и покой, работает как зверь.

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Khnazile

Не, нуво мне само по себе ненужно, просто упомянул, что из коробке не завелось. У меня сейчас основная проблема такая: Выпуск OpenSUSE Leap 15.0 (комментарий) из-за этого панель глючит. На днях попробую другую версию блоба, может с ним какие проблемы.

iKido ()
Последнее исправление: iKido (всего исправлений: 1)
Ответ на: комментарий от cuelebra

А почему плазма так часто падает? В кде 3.5 такого не было (как и в гном2)

anonymous ()
Ответ на: комментарий от Desmond_Hume

2-ой день стоит: всего лишь 3 раза крашнулся

Лол.

Thetan ★★★ ()
Ответ на: комментарий от Alden

сколько не ковырялся с ядрами и не жонглировал разными версиями месы сидя на арче - перформанс гнома лучше не стал, а то что не тормозило - оно и так не тормозит. Ноутов у меня три, на всех все работает, хотя они и не новые и свистоперделок в виде сканера отпечатков, сетчатки глаза, пульса, давления газов в кишечнике и прочего в них нет.

Кеды - даже 5.12.5 постоянно-рандомно сегфолтят при клике по трею, а это ведь ЛТС. ЛТС, Карл! Я даже знать не хочу, что за угар и треш там будет на 5.13.0

cuelebra ()
Ответ на: комментарий от Gu4

Жаль, когда-то долго пользовался 12-й версией, все нравилось.

Да, 12.3 был лучшим юзерфрендли дистрибутивом, ИМХО. Последующие релизы работали отвратительно.

templarrr ★★★★★ ()
Ответ на: комментарий от Gu4

SuSe Leap

Ни разу не глючил. Работает идеально. 12 часов от батареи. Acer acpire E-15 E5-575G-55i7. Не вру! leap 42.3. На Dell E6420 также идеально! Leap 42, 42.1, 42.2

luksservis ()
Ответ на: комментарий от petyanamlt

только его и пользую на реальном железе. винды давно нет. intel core i5-7200u, nvidia gtx-950m acer acpire e5-575g

luksservis ()
Ответ на: комментарий от Gu4

Для того же, для чего простому человеку может понадобиться centos (тренироваться админить rhel?).

Для этого есть Oracle Enterprise - бесплатный, а не это поделие.

DrRulez ()
Ответ на: комментарий от Desmond_Hume

3 раза крашнулся

Как вы это делаете?

Балу отключил

А это как делаете? Максимум что смог - это перевести его в состояние disabled, но baloorunner и baloo_file продолжают висеть в процессах после каждой перезагрузки.

comrade82 ()
Ответ на: комментарий от comrade82

В гугле зобанен?) https://community.kde.org/Baloo/Configuration А вообще, если не найдёшь там этот файл, не забывай про mlocate, которым можно много чего найти, что когда-то перенесли в другое место. Я на полном серьёзе, суська сейчас работает как скала. Плазма прям алмазной стала, не бьётся теперь.

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от anonymous

В кде 3.5 такого не было

Наглое вранье. Плазма сейчас на порядок стабильнее кед 3.5, там на случай падения был шикарный звук битого стекла.

wolph ★★ ()
Ответ на: комментарий от Desmond_Hume

Так и делал. На balooctl status выводил, что он disabled, но файлы от него в процессах висели. Сейчас проверил на 15 вроде пропали.

comrade82 ()
Ответ на: комментарий от comrade82

А в конфигах подправил нужные строчки? А то этот балу очень баловной, его надо принудительно вырубать.

Desmond_Hume ★★★★★ ()
Последнее исправление: Desmond_Hume (всего исправлений: 1)

Ну раз PHP 7 значит надо от него держаться подальше

demrnd ()

OpenSUSE 15.0 - это OpenSUSE курильщика победившего Ынтерпрайза. Победившего всех, но в первую очередь своих юзеров ;)

anonymous ()

Также жутко бесит в процессе управления пакетами - прибитое гвоздями больше количество рекомендуемых пакетов. Каждый раз при обновлении выскакивает по 200-300 удаленных пакетов обратно.

Да, дело в шаблонах, которые можно удалить или заблокировать, но потом не подтягиваются языковые пакеты и другие рекомендации, кто знает, тот поймет. Например нельзя поставить только LO Calc и LO Writer чтобы не доставлялись остальные компоненты.

Судя из обсуждения на реддите, лидер проекта занял принципиальную позицию и не хочет отказываться от текущего пути. Например, на Fedora такой проблемы нету, хоть и тоже rpm-дистрибутив.

awesomenickname ★★★★★ ()
Ответ на: комментарий от awesomenickname

Ты хелп к zypper хоть читал, кдешничег?

anonymous ()
Ответ на: комментарий от anonymous

читал, можно например так:

zypper up --no-recommends
zypper install libreoffice-writer --no-recommends

Но что это за жизнь, постоянно добавлять этот префикс к любой команде по установке? совсем отключать установку рекомендуемых, повторюсь, не вариант, как потом придется доустанавливать языки и прочие пропущенные пакеты.

awesomenickname ★★★★★ ()
Ответ на: комментарий от awesomenickname

Да ты конфиг подправь и будет постоянно. Прям как на винде, ей-Богу, привыкли ...

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Desmond_Hume

совсем отключать установку рекомендуемых, повторюсь, не вариант, как потом придется доустанавливать языки и прочие пропущенные пакеты.

awesomenickname ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.